﻿// ------------------------------------------------------------------------------------------
// <copyright file="ConfigurationStore.cs" company="seca gmbh &amp; co. kg">
//   Copyright © seca gmbh &amp; co. kg 2010-2011. All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------------------

using Seca.Framework.Core;
using System.ComponentModel;
using Seca.Sem.Clipboard.Properties;

namespace Seca.Sem.Clipboard
{
	/// <summary>
	/// Stores configuration data for clipboard SEM
	/// </summary>
	public class ConfigurationStore: PropertyBag
	{
		public ConfigurationStore()
		{
		}

		private string weightFormat = Resources.ConfigurationStore_defaultWeightFormat__2__Weight___0_;
		public string WeightFormat
		{
			get { return weightFormat; }
			set { SetProperty(() => weightFormat = value, "WeightFormat"); }
		}

		private string weightHeightWeightHeightFormat = Resources.ConfigurationStore_weightHeightWeightHeightFormat__2__Weight___0___Height___1_;
		public string WeightHeightFormat
		{
			get { return weightHeightWeightHeightFormat; }
			set { SetProperty(() => weightHeightWeightHeightFormat = value, "WeightHeightFormat"); }
		}

		private string heightFormat = Resources.ConfigurationStore_heightFormat__2__Height___1_;
		public string HeightFormat
		{
			get { return heightFormat; }
			set { SetProperty(() => heightFormat = value, "HeightFormat"); }
		}

		private const bool defaultAppendNewline = true;
		private bool appendNewline = defaultAppendNewline;
		[DefaultValue(defaultAppendNewline)]
		public bool AppendNewline
		{
			get { return appendNewline; }
			set { SetProperty(() => appendNewline = value, "AppendNewline"); }
		}

		/// <summary>
		/// Gets the caption for a property.
		/// </summary>
		/// <remarks>
		/// This returns a localized caption for the property. Adding a ":" is done by the GUI automatically.
		/// </remarks>
		/// <param name="propertyName">Name of the property.</param>
		/// <returns>
		/// The caption.
		/// </returns>
		public override string GetCaption(string propertyName)
		{
			return
				Resources.ResourceManager.GetString(propertyName)
					?? base.GetCaption(propertyName);
		}
	}
}
