﻿// ------------------------------------------------------------------------------------------
// <copyright file="SemClipboard.cs" company="seca gmbh &amp; co. kg">
//   Copyright © seca gmbh &amp; co. kg 2010-2012. All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------------------

using Seca.EmrContract;
using System;
using Seca.EmrContract.Measurements;

namespace Seca.Sem.Clipboard
{
	[EmrModule("Clipboard", "Sends measurements to Windows Clipboard | Vendor: seca", typeof(Persistor))]
	public class SemClipboard : Module
	{
		private readonly ConfigurationStore configuration = new Persistor().Data;

		public override void SendMeasurement(IMeasurement measurement)
		{
			System.Windows.Forms.Clipboard.SetText(string.Format(
				measurement.WeightMeasurement == null ? configuration.HeightFormat :
				measurement.HeightMeasurement == null ? configuration.WeightFormat
					: configuration.WeightHeightFormat,
				measurement.WeightMeasurement,
				measurement.HeightMeasurement,
				DateTime.Now
				) + (configuration.AppendNewline ? "\n" : ""));
		}
	}
}
